Bug 124776 - timidity segfaults with -Ov
Summary: timidity segfaults with -Ov
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-29 22:00 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 15:29:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-05-29 22:00:40 UTC
Description of problem:

After 'timidity -h' one can see:

Available output modes (-O option):
  -Od     dsp device
  -Ok     aRts sound daemon
  -OA     aRts sound daemon
  -Oe     Enlightened sound daemon
  -Ow     RIFF WAVE file
  -Or     Raw waveform data
  -Ou     Sun audio file
  -Oa     AIFF file
  -Ov     Ogg Vorbis
  -Ol     List MIDI event
  -Om     MOD -> MIDI file conversion

So far I tried only -Od, which works fine, and -Ov which
segfaults regardless if input if from a named file or from stdin.

Version-Release number of selected component (if applicable):
timidity++-2.11.3-9

How reproducible:
Always

Additional info:
I did not try on x86_64 so I do not know a behaviour there.

Comment 1 Thomas Woerner 2004-07-01 15:29:04 UTC
Fixed in rawhide in rpm timidity++-2.13.0-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.